> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cloudraker.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cloudraker.com/_mcp/server.

# Unarchive a channel

POST https://api.cloudraker.com/channels/{id}/unarchive

Reactivates an archived channel. Authorization: organization administrators only. Returns 404 if not found.

Reference: https://docs.cloudraker.com/api/cloud-raker-api/workspace/channels/unarchive-channel

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: CloudRaker API
  version: 1.0.0
paths:
  /channels/{id}/unarchive:
    post:
      operationId: unarchive-channel
      summary: Unarchive a channel
      description: >-
        Reactivates an archived channel. Authorization: organization
        administrators only. Returns 404 if not found.
      tags:
        - channels
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The reactivated channel.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChannelResponse'
servers:
  - url: https://api.cloudraker.com
    description: Production
  - url: https://api.staging.raker.one
    description: Staging
  - url: https://api.dev.raker.one
    description: Development
components:
  schemas:
    ChannelType:
      type: string
      enum:
        - email
        - webhook
        - file_drop
      title: ChannelType
    ChannelStatus:
      type: string
      enum:
        - active
        - archived
      title: ChannelStatus
    Channel:
      type: object
      properties:
        _id:
          type: string
        slug:
          type: string
        name:
          type: string
        type:
          $ref: '#/components/schemas/ChannelType'
        address:
          type: string
        webhookSecretVaultId:
          type:
            - string
            - 'null'
        folderId:
          type:
            - string
            - 'null'
        status:
          $ref: '#/components/schemas/ChannelStatus'
        createdAt:
          type: string
        archivedAt:
          type:
            - string
            - 'null'
        createdBy:
          type: string
      required:
        - _id
        - slug
        - name
        - type
        - address
        - webhookSecretVaultId
        - status
        - createdAt
        - archivedAt
        - createdBy
      title: Channel
    ChannelResponse:
      type: object
      properties:
        channel:
          $ref: '#/components/schemas/Channel'
      required:
        - channel
      title: ChannelResponse
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "channel": {
    "_id": "642f1b2e9a1c4e3f8b7d9a12",
    "slug": "marketing-updates",
    "name": "Marketing Updates",
    "type": "email",
    "address": "marketing-updates@cloudraker.com",
    "webhookSecretVaultId": null,
    "status": "active",
    "createdAt": "2023-11-10T09:15:00Z",
    "archivedAt": null,
    "createdBy": "admin_user_01",
    "folderId": "5f8d0d55b54764421b7156c3"
  }
}
```

**SDK Code**

```typescript
import { CloudRakerClient } from "@cloudraker/api";

async function main() {
    const client = new CloudRakerClient({
        token: "YOUR_TOKEN_HERE",
    });
    await client.channels.unarchiveChannel("id");
}
main();

```

```python
from cloudraker import CloudRaker

client = CloudRaker(
    token="YOUR_TOKEN_HERE",
)

client.channels.unarchive_channel(
    id="id",
)

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.cloudraker.com/channels/id/unarchive"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.cloudraker.com/channels/id/unarchive")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.cloudraker.com/channels/id/unarchive")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.cloudraker.com/channels/id/unarchive', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.cloudraker.com/channels/id/unarchive");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.cloudraker.com/channels/id/unarchive")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```